# class PermissionStatus

#### package js.html

#### extends EventTarget

Available on HTML5

The `PermissionStatus` interface of the Permissions API provides the state of an object and an event handler for monitoring changes to said state.

Documentation PermissionStatus by Mozilla Contributors, licensed under CC-BY-SA 2.5.

See:

https://developer.mozilla.org/en-US/docs/Web/API/PermissionStatus

### Variables

###

`onchange:Function`

An event called whenever `PermissionStatus.status` changes.

###

`read onlystate:PermissionState`

Returns the state of a requested permission; one of `'granted'`, `'denied'`, or `'prompt'`.

### Inherited Variables

### Inherited Methods

#### Defined by EventTarget

###

`addEventListener (type:String, listener:Function, capture:Bool = false):Void`

`addEventListener (type:String, listener:EventListener, capture:Bool = false, ?wantsUntrusted:Bool):Void`

Throws:

`null` | DOMError

###

`dispatchEvent (event:Event):Bool`

Throws:

`null` | DOMError

###

`removeEventListener (type:String, listener:Function, capture:Bool = false):Void`

`removeEventListener (type:String, listener:EventListener, capture:Bool = false):Void`

Throws:

`null` | DOMError